Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
2014 11 25 001 deploy failure
$ ./deploy.sh
HEAD is now at 4f6e95c Update CONTRIBUTING.md
remote: Counting objects: 71, done.
remote: Compressing objects: 100% (71/71), done.
remote: Total 71 (delta 39), reused 0 (delta 0)
Unpacking objects: 100% (71/71), done.
From https://github.com/OpenUserJs/OpenUserJS.org
* branch master -> FETCH_HEAD
4f6e95c..e317695 master -> origin/master
Updating 4f6e95c..e317695
Fast-forward
CONTRIBUTING.md | 8 +++--
controllers/discussion.js | 44 ++++++++++++++++---------
libs/modelParser.js | 20 +++++++++++
libs/modelQuery.js | 9 +++++
models/group.js | 2 +-
routes.js | 2 +-
views/includes/discussionList.html | 3 ++
views/includes/documents/Terms-of-Service.md | 10 +++---
8 files changed, 72 insertions(+), 26 deletions(-)
info: Welcome to Nodejitsu sizzlemctwizzle
info: jitsu v0.14.0, node v0.10.32
info: It worked if it ends with Nodejitsu ok
info: Executing command deploy
info: Analyzing application dependencies in node app.js
warn: Local package version appears to be old
warn: The package.json version will be incremented automatically
warn: About to write /home/server/OpenUserJS.org/package.json
data:
data: {
data: dependencies: {
data: serve-favicon: '2.1.7',
data: bootstrap-markdown: '2.7.0',
data: passport-github: '0.1.5',
data: request: '2.48.0',
data: express: '4.10.2',
data: passport-steam: '0.1.4',
data: passport-aol: '0.2.0',
data: passport-yahoo: '0.3.0',
data: body-parser: '1.9.2',
data: express-session: '1.9.1',
data: select2-bootstrap-css: 'git://github.com/t0m/select2-bootstrap-css#fce5f9f',
data: select2: '3.5.1',
data: bootstrap: '3.1.1',
data: passport-foursquare: '1.0.0',
data: passport-imgur: '0.0.2',
data: octicons: 'git://github.com/github/octicons.git#835ee02',
data: compression: '1.2.0',
data: passport-google: '0.3.0',
data: underscore: '1.7.0',
data: connect-mongo: '0.4.1',
data: passport-amazon: '0.1.0',
data: marked: '0.3.2',
data: passport-linkedin: '0.1.3',
data: morgan: '1.5.0',
data: jquery: '2.1.1',
data: passport-twitter: '1.0.2',
data: method-override: '2.3.0',
data: passport-instagram: '0.1.2',
data: mu2: '0.5.20',
data: github: '0.2.3',
data: passport: '0.2.1',
data: passport-tumblr: '0.1.2',
data: ace-builds: 'git://github.com/ajaxorg/ace-builds#7fafd12',
data: mongoose: '3.8.19',
data: sanitize-html: '1.4.3',
data: moment: '2.8.4',
data: formidable: '1.0.15',
data: cookie-parser: '1.3.3',
data: passport-persona: '0.1.7',
data: highlight.js: '8.4.0',
data: passport-reddit: '0.2.4',
data: passport-windowslive: '1.0.1',
data: passport-facebook: '1.0.3',
data: async: '0.9.0',
data: passport-flickr: '0.2.0',
data: express-minify: '0.1.1',
data: font-awesome: '4.2.0',
data: aws-sdk: '2.0.21'
data: },
data: description: 'An open source user scripts repo built using Node.js',
data: domains: [ 'openuserjs.org' ],
data: engines: { node: '>=0.10.33' },
data: licenses: [
data: { type: 'GPL-3.0+', url: 'https://raw.githubusercontent.com/OpenUserJs/OpenUserJS.org/master/LICENSE' }
data: ],
data: main: 'app',
data: name: 'OpenUserJS.org',
data: repository: { type: 'git', url: 'https://github.com/OpenUserJs/OpenUserJS.org.git' },
data: scripts: { start: 'node app.js' },
data: subdomain: 'openuserjs',
data: version: '0.1.4-4'
data: }
data:
info: Creating snapshot 0.1.4-4
info: Uploading: [=============================] 100%
error: Error running command deploy
error: Error building snapshot
error: Nodejitsu Error (500): Internal Server Error
help: For help with this error contact Nodejitsu Support:
help: webchat: <http://webchat.nodejitsu.com/>
help: irc: <irc://chat.freenode.net/#nodejitsu>
help: email: <support@nodejitsu.com>
help:
help: Copy and paste this output to a gist (http://gist.github.com/)
info: Nodejitsu not ok
#!/bin/bash
cd OpenUserJS.org
git reset --hard
git pull origin master
jitsu deploy -c
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.